from django.conf.urls.defaults import *

urlpatterns = patterns('',
    #all meetings
    url(r'^$', 'meetings.views.meeting_list', name='meeting-list'),
    url(r'^history/$', 'meetings.views.meeting_history_list', name='meeting-history-list'),
    #team meetings
    url(r'^team/ical/$', 'meetings.views.teams_meeting_list_ical', name='teams-meeting-list-ical'),
    url(r'^team/(?P<team_meeting_id>\d+)/detail/ical/$', 'meetings.views.meeting_ical', name='meeting-ical'),
    url(r'^team/(?P<team_meeting_id>\d+)/detail/$', 'meetings.views.team_meeting_detail', name='team-meeting-detail'),
    url(r'^team/(?P<team_meeting_id>\d+)/delete/$', 'meetings.views.team_meeting_delete', name='team-meeting-delete'),
    url(r'^team/(?P<team_meeting_id>\d+)/update/$', 'meetings.views.team_meeting_update', name='team-meeting-update'),
    url(r'^team/(?P<team_meeting_id>\d+)/copy/$', 'meetings.views.team_meeting_copy', name='team-meeting-copy'),
    url(r'^team/(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/add/$', 'meetings.views.team_meeting_new', name='team-meeting-new'),
    url(r'^team/(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/rss/$', 'meetings.views.team_meetings_rss', name='team-meetings-rss'),
    url(r'^team/(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/ical/$', 'meetings.views.team_meeting_list_ical', name='team-meeting-list-ical'),
    url(r'^team/add/$', 'meetings.views.team_meeting_select', name='team-meeting-select'),

)
