#!/usr/bin/python

from django.core.management.base import NoArgsCommand

from common.utils import run_job

import datetime

class Command(NoArgsCommand):
    help = "Update everything."

    def handle_noargs(self, **options):
        run_job("update-countries", datetime.timedelta(days=1))
        run_job("update-languages", datetime.timedelta(days=1))
        run_job("lpupdate", datetime.timedelta(minutes=20))
        run_job("update-profiles", datetime.timedelta(days=1)) 
                
