from django.conf.urls.defaults import *

urlpatterns = patterns('',
    url(r'^$', 'teams.views.team_list', name='team-list'),
    url(r'(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/edit$', 'teams.views.team_edit', name='team-edit'),
    url(r'(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/merge/(?P<other_team_slug>[a-zA-Z0-9\-\.\+?]+)/$', 'teams.views.team_merge', name='team-merge'),
    url(r'(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/merge', 'teams.views.select_other_team', name='select-other-team'),
    url(r'(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/events/history', 'teams.views.team_event_history', name='team-event-history'),
    url(r'(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/events', 'teams.views.team_event_list', name='team-event-list'),
    url(r'(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/meetings/history', 'teams.views.team_meeting_history', name='team-meeting-history'),
    url(r'(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/meetings', 'teams.views.team_meeting_list', name='team-meeting-list'),
    url(r'(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)', 'teams.views.team_detail', name='team-detail'),
)
